From c74a77026e16165de4bfe0d39da2ad8e8135c913 Mon Sep 17 00:00:00 2001
From: Ben Hutchings <ben@decadent.org.uk>
Date: Sun, 13 Aug 2017 18:02:19 +0100
Subject: [PATCH 1/2] bfq: Re-enable auto-loading when built as a module

The block core requests modules with the "-iosched" name suffix, but
bfq no longer has that suffix.  Add an alias.

Fixes: ea25da48086d ("block, bfq: split bfq-iosched.c into multiple ...")
Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
---
 block/bfq-iosched.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/block/bfq-iosched.c b/block/bfq-iosched.c
index 436b6ca6b175..3a01563bd564 100644
--- a/block/bfq-iosched.c
+++ b/block/bfq-iosched.c
@@ -4998,6 +4998,7 @@ static struct elevator_type iosched_bfq_mq = {
 	.elevator_name =	"bfq",
 	.elevator_owner =	THIS_MODULE,
 };
+MODULE_ALIAS("bfq-iosched");
 
 static int __init bfq_init(void)
 {

From 9ab334c217c41a9959ac85ac27ca9e35a99c8f82 Mon Sep 17 00:00:00 2001
From: Ben Hutchings <ben@decadent.org.uk>
Date: Sun, 13 Aug 2017 18:03:15 +0100
Subject: [PATCH 2/2] mq-deadline: Enable auto-loading when built as module

The block core requests modules with the "-iosched" name suffix, but
mq-deadline does not have that suffix.  Add an alias.

Fixes: 945ffb60c11d ("mq-deadline: add blk-mq adaptation of the deadline ...")
Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
---
 block/mq-deadline.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/block/mq-deadline.c b/block/mq-deadline.c
index 1b964a387afe..78e7698fa4ed 100644
--- a/block/mq-deadline.c
+++ b/block/mq-deadline.c
@@ -660,6 +660,7 @@ static struct elevator_type mq_deadline = {
 	.elevator_name = "mq-deadline",
 	.elevator_owner = THIS_MODULE,
 };
+MODULE_ALIAS("mq-deadline-iosched");
 
 static int __init deadline_init(void)
 {
